Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Link Class Template Reference

`#include <Trader_Interfaces.h>`

Inheritance diagram for TAO_Link:

[legend]
Collaboration diagram for TAO_Link:

[legend]
List of all members.

## Public Methods
| TAO_Link (TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &trader)
| ~TAO_Link (void)
virtual void | add_link (const char *name, CosTrading::Lookup_ptr target, CosTrading::FollowOption def_pass_on_follow_rule, CosTrading::FollowOption limiting_follow_rule ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::DuplicateLinkName, CosTrading::InvalidLookupRef, CosTrading::Link::DefaultFollowTooPermissive, CosTrading::Link::LimitingFollowTooPermissive)
| BEGIN SPEC The add_link operation allows a trader subsequently to use the service of another trader in the performance of its own trading service operations. More...
virtual void | remove_link (const char *name ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName)
virtual CosTrading::Link::LinkInfo * | describe_link (const char *name ACE_ENV_ARG_DECL_NOT_USED) throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName)
virtual CosTrading::LinkNameSeq * | list_links (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual void | modify_link (const char *name, CosTrading::FollowOption def_pass_on_follow_rule, CosTrading::FollowOption limiting_follow_rule ACE_ENV_ARG_DECL) throw (CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName, CosTrading::Link::DefaultFollowTooPermissive, CosTrading::Link::LimitingFollowTooPermissive)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< TAO_String_Hash_Key, CosTrading::Link::LinkInfo, ACE_Hash< TAO_String_Hash_Key >, ACE_Equal_To< TAO_String_Hash_Key >, MAP_LOCK_TYPE > | Links
## Private Methods
void | operator= (const TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
| TAO_Link (const TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
## Private Attributes
Links | links_
| The collection of link connecting this trader to others in the federation. More...
TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader_

### template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
class TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >

## Member Typedef Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
typedef ACE_Hash_Map_Manager_Ex< TAO_String_Hash_Key, CosTrading::Link::LinkInfo, ACE_Hash<TAO_String_Hash_Key>, ACE_Equal_To<TAO_String_Hash_Key>, MAP_LOCK_TYPE > TAO_Link::Links`[private]`

## Constructor & Destructor Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Link | ( | TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::~TAO_Link | ( | void |  | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Link | ( | const TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

## Member Function Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::add_link | ( | const char * | name,
|  | CosTrading::Lookup_ptr | target,
|  | CosTrading::FollowOption | def_pass_on_follow_rule,
|  | CosTrading::FollowOption limiting_follow_rule | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::DuplicateLinkName, CosTrading::InvalidLookupRef, CosTrading::Link::DefaultFollowTooPermissive, CosTrading::Link::LimitingFollowTooPermissive)`[virtual]`

| BEGIN SPEC The add_link operation allows a trader subsequently to use the service of another trader in the performance of its own trading service operations.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Link::LinkInfo * TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::describe_link | ( | const char *name | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::LinkNameSeq * TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::list_links | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::modify_link | ( | const char * | name,
|  | CosTrading::FollowOption | def_pass_on_follow_rule,
|  | CosTrading::FollowOption limiting_follow_rule | ACE_ENV_ARG_DECL
| ) | throw (CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName, CosTrading::Link::DefaultFollowTooPermissive, CosTrading::Link::LimitingFollowTooPermissive)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::operator= | ( | const TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[private]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Link< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::remove_link | ( | const char *name | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::Link::IllegalLinkName, CosTrading::Link::UnknownLinkName)`[virtual]`

## Member Data Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
Links TAO_Link::links_`[private]`

| The collection of link connecting this trader to others in the federation.

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Trader<TRADER_LOCK_TYPE,MAP_LOCK_TYPE>& TAO_Link::trader_`[private]`

The documentation for this class was generated from the following files:

- Trader_Interfaces.h
- Trader_Interfaces.cpp